(function (d3) {
	var svg = d3.select("body")
            .append("svg")
            .attr("width", 900)
            .attr("height", 900);

  
  var circleGroup = svg.append('g')
  									.attr(`transform`,
                          `translate(${900/2}, ${900/2})`);
  
 
 	const circle = circleGroup.append('circle')
  						.attr('fill', 'lightblue')
  						.attr("r", 40)
  						.on('mouseover', function() {
                circle.attr('fill', 'black');
              })
  						.on('mouseout', function() {
                d3.select(this).attr('fill', 'lightblue');
              }); //on peut faire en css aussi: .circleClass:hover{ fill: black; }
  
  var btn = document.createElement("button"); // Créer un élément <button>
	var t = document.createTextNode("Move");    // Créer un noeud textuel
	btn.appendChild(t);                         // Ajouter le texte au bouton
	document.body.appendChild(btn); 						// Ajoute la balise <button> à la balise <body>

}(